package GUIAnwendungen;

import java.awt.Color;

import javax.swing.JFrame;

public class Jframe {
	
	/*
	 * - mit der Klasse(JFrame) erzeugen wir ein Fenster
	 */
	
	public static void main(String[] args) {
		
		// Erstelle ein Fenster
		JFrame frame = new JFrame();
		
		//setVisible(boolean): gibt an, ob mein Fenster sichtbar ist oder nicht
		frame.setVisible(true);
		
		//setSize(width, height)
		frame.setSize(420, 500);
		
		// setzte einen Überschrift für mein Fenster
		frame.setTitle("Mein erstes Fenster");
		
		// Schließe das Fenster richtig zu
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// Mein Fenster kann ab jetzt nicht mehr vergößert oder verkleinert werden
		frame.setResizable(false);
		
		//gib das Fenster eine Farbe
			frame.getContentPane().setBackground(Color.green);
		//oder rgb Farbe
			frame.getContentPane().setBackground(new Color(0,0,100));
		
	}

}
